import Store from '@/store'
export default{
    getLocation() {
         uni.getLocation({
             type: 'gcj02', //返回可以用于uni.openLocation的经纬度
             success: function (res) {
                 console.log(res, 'res')
                 var params = {
                     lat: res.latitude,
                     lng: res.longitude
                 }
                 // getAddress(params).then(res => {
                 // 	console.log(res, 'aaa')
                 // })
             }
         })
    },
    uniLogin(res) {
            uni.login({
                provider: 'weixin',
                success: function (data) {
                    //   传给后台接口所需登录数据
                    uni.$u.http.post('/weixin/login', {
                            code: data.code,
                            source: 3, //默认是3，扫码进来是2
                            iv: res.iv,
                            encryptedData: res.encryptedData
                        }).then((response) => {
                        if (response.statusCode == 200 && response.data && response.data.code==200) {
                            console.log(response.data.token,54443)
                            uni.setStorage({key:'Authorization',data:response.data.token});
                            Store.commit('setAuthorization', response.data.token);
                            uni.showToast({
                                title:'登录成功'
                            });
                        }
                        
                    }).catch((err) => {
                        uni.showToast({
                            title: err.msg
                        });
                    })
                }
            })
        },

        async uniGetUserInfo(e) {
                uni.getUserProfile({ //授权后可以通过uni.getUserProfile得到用户信息
                    lang: "zh_CN",
                    desc: '用于完善用户信息',
                    success: res => {
                        uni.setStorage({key:'userInfo', data:res})
                        Store.commit("setUserInfo",res)
                        this.uniLogin(res);
                    }
                })
            },
            getLocation() {
                uni.getLocation({
                    type: 'gcj02', //返回可以用于uni.openLocation的经纬度
                    success: function (res) {
                        console.log(res, 'res')
                        var params = {
                            lat: res.latitude,
                            lng: res.longitude
                        }
                        getAddress(params).then(res => {
                            console.log(res, 'aaa')
                        })
                    }
                })
            },
}